$badge-green: #8bc343;
$chat-box-me: #e0f5fe;
$chat-box-them: #f1f8f8;
$them-left-space: 40px;

.msg-status {
  @include font-size(12);
  // float: right;
  margin: auto 0 auto 10px;
  pointer-events: all;
  position: relative;
  text-align: right;
  top: 0;
  // right: 0;
  z-index: 1; //shame remove this after delete button converted to swipe

  .badge {
    background: $badge-green;
    padding: 1px 0 0;
  }
}

.msg-time {
  color: $medium-gray-2;
  display: block;
}

// clone from line 158 from smart-view.scss
.smart-view.smart-card.msg-item {
  @include transition(transform 200ms ease-in-out);
  border-bottom: 1px solid $list-item-border;
  height: 65px;

  .smart-content {
    margin: auto auto auto 60px;
  }

  .smart-title {
    // @extend .h3-class;
    // color: $black;
    margin-top: 0;
  }

  .smart-image {
    border-radius: 50%;
    height: 50px;
    left: 10px;
    // position: absolute;
    top: 3px;
    width: 50px;
  }

  &:first-of-type {
    margin-top: 10px;
  }
}

.delete-btn {
  @include transition(transform 200ms ease-in-out);
  @extend %fontello;
  background-color: #f24538;
  color: $white;
  float: right;
  font-size: 20px;
  height: 50px;
  left: 100%;
  padding-top: 15px;
  position: absolute;
  top: 3px;
  transform: translateX(0);
  width: 50px;
}

.smart-content,
.smart-image,
.msg-status {
  @include transition(transform 200ms ease-in-out);
  transform: translateX(0);
}

.is-delete {
  .smart-content,
  .smart-image,
  .msg-status {
    transform: translateX(-50px);
  }

  .delete-btn {
    transform: translateX(-54px);
  }
}


//chat message page flow 
.card-message-item {
  border-radius: 8px;
  display: inline-flex;
  flex-flow: row ;
  margin: 2px 6px;
  max-width: 80%;
  padding: 3px;
  position: relative;
  width: auto;

  .text {
    color: $very-dark-gray;
    margin: 0 10px;

    &.inner-image {
      margin: 4px;
      max-width: 230px;
      min-height: 30px;
      min-width: 100px;

      & + .stamp {
        background-color: rgba($black, .7);
        border-radius: 3px;
        color: $white;
        margin-top: -8px;
        padding: 1px 2px;
        position: absolute;
        right: 10px;
      }
    }
  }

  .avatar {
    border-radius: 50%;
    height: 30px;
    justify-content: baseline;
    margin-left: -10px - $them-left-space;
    margin-top: -8px;
    overflow: hidden;
    position: absolute;
    width: 30px;
  }

  .stamp {
    @include font-size(11);
    align-self: flex-end;
    color: $medium-gray;
    display: block;
    font-weight: normal;
    line-height: 1;
    padding: 0 5px 0 10px;
    position: relative;
  }
}

//messaging window 
.card-message-item:not(.date) {
  &.me {
    &::before {
      border-bottom: 13px solid transparent;
      border-left: 13px solid $chat-box-me;
      content: '';
      height: 0;
      position: absolute;
      right: -8px;
      top: 0;
      width: 0;
    }
  }

  &:not(.me) {
    &::before {
      border-bottom: 13px solid transparent;
      border-right: 13px solid $chat-box-them;
      content: '';
      height: 0;
      left: -8px;
      position: absolute;
      top: 0;
      width: 0;
    }
  }
}

.card-message-item:not(.me):not(.date) {
  background-color: $chat-box-them;
  max-width: calc(80% - $them-left-space);

  .avatar {
    // position: relative;
    left: 10px;
  }
}

.card-message-item.me {
  background-color: $chat-box-me;
  float: right;

  .avatar {
    display: none;
  }
}

.card-message-item:not(.me) {
  margin-left: $them-left-space;
}

.card-message-item.me:not(.date) + .card-message-item:not(.me) {
  margin-top: 10px;
}

.card-message-item:not(.me) + .card-message-item.me:not(.date) {
  margin-top: 10px;
}

.card-message-item:last-of-type {
  margin-bottom: 20px;
}

.card-message-item.date{
  @include font-size(10);
  align-self: center;
  background-color: #e2e7ea;
  color: $white;
  left: 50%;
  margin: 15px auto;
  transform: translateX(-50%);

  .text {
    line-height: 1;
    padding: 0;
  }

  .avatar,
  .stamp {
    display: none;
  }
}

.chat-input-container {
  background-color: $white;
  bottom: 0;
  height: 50px;
  position: fixed;
  width: 100%;
  z-index: 3;
  
  input[type='text'] {
    border-top: 2px solid $list-item-border;
    background-color: $white;
    padding: 20px 50px 10px 20px;
    margin-bottom: 0;
  }

  input[type='file'] {
    // position: absolute;
    display: none;
  }
  
  .icon-attach {
    // background: red;
    display: block;
    height: 100%;
    padding: 10px;
    pointer-events: all;
    position: absolute;
    width: 40px;
    top: 0;
    right: 0;
  }
}